<!doctype html>
<html lang="es">
<head>
<meta charset="UTF-8">
<title>Alejandro-Martinez-FLEXBOX-01</title>
<meta name="Description" content="01_fb_wrap">
<style>
.contenedor {
  /* 1. Prueba antes de modificar. Probar para todo ejercicio es además de correrlo en navegador, es aajustar el ancho de ventana para ver el comportamiento responsivo. */
  /* 2. Indica display: flex; en la línea siguiente como valor de display. Prueba*/
	display: flex; /* punto 1 display: flex para hacer el div contenedor flexbox
  /* 3. EN la línea siguiente indica flex-wrap: primero prueba con valor nowrap (es el default) y después prueba con wrap;*/
	flex-wrap: wrap; /*punto 3 flex-wrap:  para que los elementos se ajusten a varias lineas si ya no tiene espacio*/
  background-color: #0C3F7A;
}

.contenedor > div {
  background-color: #FFF;
  width: 100px;
  margin: 10px;
  text-align: center;
  line-height: 75px;
  font-size: 30px;
}
</style>
</head>
<body>
<h1>Flexible Box Wrap</h1>

<div class="contenedor">
  <div>A</div>
  <div>B</div>
  <div>C</div>  
  <div>D</div>
  <div>E</div>
  <div>F</div>  
  <div>G</div>
  <div>H</div>
</div>
</body>
</html>
